Package org.snpeff.stats

# Interface SamplingStats<T>

All Known Implementing Classes:
  `AlleleCountStats`, `GenotypeStats`, `HomHetStats`, `TsTvStats`, `VariantEffectStats`, `VariantStats`, `VariantTypeStats`, `VcfStats`

public interface SamplingStats<T>
Perform stats by analyzing some samples

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasData()`
Does this statistic have any data?
`void`
`sample(T sample)`
Analyze one sample

## Method Details

### hasData

boolean hasData()
Does this statistic have any data?

Returns:

### sample

void sample(T sample)
Analyze one sample

Parameters:
  `sample` -